[SciPy-Dev] scipy.sparse and OpenMP

Nathaniel Smith njs@pobox....
Thu Apr 26 07:18:59 CDT 2012


On Thu, Apr 26, 2012 at 1:08 PM, Sturla Molden <sturla@molden.no> wrote:
> With respect to OpenMP, it is worth noting that with MinGW (gcc on
> Windows) it requires an LGPL pthreads library. So it would mean we have
> to build SciPy with MSVC on Windows to avoid the LGPL licence taint.

Is there an LGPL license taint? So long as pthreads is dynamically
linked this shouldn't place any requirements on scipy users or
distributors. (And if there is a taint, wouldn't we have the same
problem on Linux? pthreads there is also LGPL, along with the rest of
libc.)

- N


More information about the SciPy-Dev mailing list